<button (click)="back()" class="btn btn-main w-100">
  Back to the list
</button>

<div class="card mt-5">
  <form (ngSubmit)="onSubmit()" [formGroup]="form">
    <div class="row">
      <div class="col-12">
        <label [for]="addEditDataFormEnum.AVATAR_URL">Avatar url</label>
        <input [formControlName]="addEditDataFormEnum.AVATAR_URL"
               [id]="addEditDataFormEnum.AVATAR_URL"
               class="input-primary w-100"
               placeholder="Image link"
               type="text"
        >
        <span *ngIf="getControlErrors(addEditDataFormEnum.AVATAR_URL, 'required')">Field is required</span>
        <div class="image-card mt-5">
          <img [src]="form.get(addEditDataFormEnum.AVATAR_URL)?.value">
        </div>
      </div>
    </div>

    <section id="basic-data">
      <div class="row">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.NAME">Name</label>
        </div>
        <div class="col-12 col-md-8 center">
          <input [formControlName]="addEditDataFormEnum.NAME"
                 [id]="addEditDataFormEnum.NAME"
                 class="input-primary w-100"
                 placeholder="Enter name"
                 type="text"
          >
          <span *ngIf="getControlErrors(addEditDataFormEnum.NAME, 'required')">Field is required</span>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.COMPANY">Company</label>
        </div>
        <div class="col-12 col-md-8 center">
          <input [formControlName]="addEditDataFormEnum.COMPANY"
                 [id]="addEditDataFormEnum.COMPANY"
                 class="input-primary w-100"
                 placeholder="Enter company name"
                 type="text"
          >
          <span *ngIf="getControlErrors(addEditDataFormEnum.COMPANY, 'required')">Field is required</span>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.EMAIL">Email</label>
        </div>
        <div class="col-12 col-md-8 center">
          <input [formControlName]="addEditDataFormEnum.EMAIL"
                 [id]="addEditDataFormEnum.EMAIL"
                 class="input-primary w-100"
                 placeholder="Enter email"
                 type="text"
          >
          <span *ngIf="getControlErrors(addEditDataFormEnum.EMAIL, 'required')">Field is required</span>
          <span *ngIf="getControlErrors(addEditDataFormEnum.EMAIL, 'email')">Please enter valid email</span>
        </div>
      </div>
      <div class="row">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.PHONE">Phone</label>
        </div>
        <div class="col-12 col-md-8 center">
          <input [formControlName]="addEditDataFormEnum.PHONE"
                 [id]="addEditDataFormEnum.PHONE"
                 class="input-primary w-100"
                 placeholder="Enter phone"
                 type="text"
          >
          <span *ngIf="getControlErrors(addEditDataFormEnum.PHONE, 'required')">Field is required</span>
          <span *ngIf="getControlErrors(addEditDataFormEnum.PHONE, 'minlength')">Entered phone number is too short</span>
          <span *ngIf="getControlErrors(addEditDataFormEnum.PHONE, 'maxlength')">Entered phone number is too long</span>

        </div>
      </div>
      <div class="row">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.ADDRESS">Adress</label>
        </div>
        <div class="col-12 col-md-8 center">
          <input [formControlName]="addEditDataFormEnum.ADDRESS"
                 [id]="addEditDataFormEnum.ADDRESS"
                 class="input-primary w-100"
                 placeholder="Enter address"
                 type="text"
          >
          <span *ngIf="getControlErrors(addEditDataFormEnum.ABOUT, 'required')">Field is required</span>

        </div>
      </div>
      <div class="row textarea-area">
        <div class="col-12 col-md-4 center border">
          <label [for]="addEditDataFormEnum.ABOUT">About</label>
        </div>
        <div class="col-12 col-md-8 center">
          <textarea [formControlName]="addEditDataFormEnum.ABOUT"
                    [id]="addEditDataFormEnum.ABOUT"
                    class="text-area w-100"
                    placeholder="Enter address"
                    type="text"
          ></textarea>
        </div>
      </div>
      <div class="row tags h-auto">
        <div class="col-12 center">
          <label [for]="addEditDataFormEnum.TAGS">Tags</label>
        </div>

        <div class="row col-12 h-auto">
          <div *ngFor="let control of getTagsForm.controls; let i = index" class="col-12 mt-3">
            <div [formGroupName]="addEditDataFormEnum.TAGS" class="tag-row">
              <span class="counter">{{i + 1}}</span>
              <input [formControlName]="i" type="text" class="h-100">
              <button (click)="delete(i)" class="btn btn-main delete-tag">X</button>
            </div>
          </div>
        </div>
        <button (click)="add()" class="btn btn-second w-100 col-12 mt-4" type="button">Add Tag</button>
      </div>
    </section>

    <hr>

    <div class="row">
      <button class="btn btn-main col-12" type="submit">Save</button>
      <button class="btn btn-second col-12 mt-4" type="button">Cancel</button>
    </div>
  </form>
</div>
